# Interface CreateCSS2DObjectType

interface CreateCSS2DObjectType {
center?: Vector2;
id?: string;
innerHTML: string;
name?: string;
position?: Vector3;
timeout?: number;
visible?: boolean;
}

- Defined in lib/plugins/CSS2DPlugin/typing.ts:7

##### Index

### Properties

center?
id?
innerHTML
name?
position?
timeout?
visible?

## Properties

### `Optional` center

center?: Vector2

- Defined in lib/plugins/CSS2DPlugin/typing.ts:11

### `Optional` id

id?: string

- Defined in lib/plugins/CSS2DPlugin/typing.ts:8

### innerHTML

innerHTML: string

- Defined in lib/plugins/CSS2DPlugin/typing.ts:10

### `Optional` name

name?: string

- Defined in lib/plugins/CSS2DPlugin/typing.ts:9

### `Optional` position

position?: Vector3

- Defined in lib/plugins/CSS2DPlugin/typing.ts:12

### `Optional` timeout

timeout?: number

- Defined in lib/plugins/CSS2DPlugin/typing.ts:14

### `Optional` visible

visible?: boolean

- Defined in lib/plugins/CSS2DPlugin/typing.ts:13